package com.hai.model;

import com.hai.entity.HighUserCard;

import java.util.Map;

/**
 * @Auther: 胡锐
 * @Description:
 * @Date: 2021/4/1 23:37
 */
public class UserModel {

    // 未使用卡卷数量
    private Integer unusedCouponNum;

    // 未使用优惠券数量
    private Integer unusedDiscount;

    // 待支付数量
    private Integer unpaid;

    // 待支付数量
    private Long whetherCheckNum;

    // 支付数量
    private Integer orderPayNum;

    // 充值订单待支付数量
    private Integer  rechargeOrderNum;

    // 是否设置支付密码
    private Boolean isSetPayPwd;

    // 是否绑定汇联通工会卡
    private Boolean isSetHltCard;

    // 汇联通卡号
    private HighUserCard hltCardNo;

    // 是否绑定油卡
    private Boolean isSetOilCard;

    // 油卡信息
    private Map<String, Object> oilCard;

    public Boolean getIsSetOilCard() {
        return isSetOilCard;
    }

    public void setIsSetOilCard(Boolean setOilCard) {
        isSetOilCard = setOilCard;
    }

    public Map<String, Object> getOilCard() {
        return oilCard;
    }

    public void setOilCard(Map<String, Object> oilCard) {
        this.oilCard = oilCard;
    }

    public Boolean getSetHltCard() {
        return isSetHltCard;
    }

    public void setSetHltCard(Boolean setHltCard) {
        isSetHltCard = setHltCard;
    }

    public HighUserCard getHltCardNo() {
        return hltCardNo;
    }

    public void setHltCardNo(HighUserCard hltCardNo) {
        this.hltCardNo = hltCardNo;
    }

    public Integer getUnusedCouponNum() {
        return unusedCouponNum;
    }

    public void setUnusedCouponNum(Integer unusedCouponNum) {
        this.unusedCouponNum = unusedCouponNum;
    }

    public Integer getUnusedDiscount() {
        return unusedDiscount;
    }

    public void setUnusedDiscount(Integer unusedDiscount) {
        this.unusedDiscount = unusedDiscount;
    }

    public Integer getUnpaid() {
        return unpaid;
    }

    public void setUnpaid(Integer unpaid) {
        this.unpaid = unpaid;
    }

    public Boolean getIsSetPayPwd() {
        return isSetPayPwd;
    }

    public void setIsSetPayPwd(Boolean setPayPwd) {
        isSetPayPwd = setPayPwd;
    }

    public Boolean getSetPayPwd() {
        return isSetPayPwd;
    }

    public void setSetPayPwd(Boolean setPayPwd) {
        isSetPayPwd = setPayPwd;
    }

    public Boolean getIsSetHltCard() {
        return isSetHltCard;
    }

    public void setIsSetHltCard(Boolean setHltCard) {
        isSetHltCard = setHltCard;
    }

    public Integer getRechargeOrderNum() {
        return rechargeOrderNum;
    }

    public void setRechargeOrderNum(Integer rechargeOrderNum) {
        this.rechargeOrderNum = rechargeOrderNum;
    }

    public Integer getOrderPayNum() {
        return orderPayNum;
    }

    public void setOrderPayNum(Integer orderPayNum) {
        this.orderPayNum = orderPayNum;
    }

    public Boolean getSetOilCard() {
        return isSetOilCard;
    }

    public void setSetOilCard(Boolean setOilCard) {
        isSetOilCard = setOilCard;
    }

    public Long getWhetherCheckNum() {
        return whetherCheckNum;
    }

    public void setWhetherCheckNum(Long whetherCheckNum) {
        this.whetherCheckNum = whetherCheckNum;
    }
}
